Loading...
Searching...
No Matches
BALL::VIEW::RTfactRenderer::RTfactData Class Reference

`#include <BALL/VIEW/RENDERING/RENDERERS/rtfactRenderer.h>`

## Public Attributes

std::vector< RTpieCpp::GeometryHandle > | object_handles
| The object handles (all objects).
std::vector< RTpieCpp::MeshHandle > | mesh_handles
| The meshes.
std::vector< RTpieCpp::InstanceHandle > | instance_handles
| The instances (visible objects).
std::vector< RTpieCpp::AppearanceHandle > | material_handles
| The materials.
std::vector< RTpieCpp::GeometryHandle > | cutPlanes
| Cut-plane geometries.
std::vector< RTpieCpp::MeshHandle > | cutPlaneMeshes
| Cut-plane meshes.
std::vector< RTpieCpp::InstanceHandle > | cutPlaneInstances
| Cut-plane instances.
RTpieCpp::AppearanceHandle | cutPlaneShader
| Cut-planes material.
bool | has_been_disabled
| Mark previously disabled representations.

## Detailed Description

This class encapsulates RTfact's data structures per Representation.

Definition at line 77 of file rtfactRenderer.h.

## Member Data Documentation

## cutPlaneInstances

std::vector<RTpieCpp::InstanceHandle> BALL::VIEW::RTfactRenderer::RTfactData::cutPlaneInstances

Cut-plane instances.

Definition at line 100 of file rtfactRenderer.h.

## cutPlaneMeshes

std::vector<RTpieCpp::MeshHandle> BALL::VIEW::RTfactRenderer::RTfactData::cutPlaneMeshes

Cut-plane meshes.

Definition at line 97 of file rtfactRenderer.h.

## cutPlanes

std::vector<RTpieCpp::GeometryHandle> BALL::VIEW::RTfactRenderer::RTfactData::cutPlanes

Cut-plane geometries.

Definition at line 94 of file rtfactRenderer.h.

## cutPlaneShader

RTpieCpp::AppearanceHandle BALL::VIEW::RTfactRenderer::RTfactData::cutPlaneShader

Cut-planes material.

Definition at line 103 of file rtfactRenderer.h.

## has_been_disabled

bool BALL::VIEW::RTfactRenderer::RTfactData::has_been_disabled

Mark previously disabled representations.

Definition at line 106 of file rtfactRenderer.h.

## instance_handles

std::vector<RTpieCpp::InstanceHandle> BALL::VIEW::RTfactRenderer::RTfactData::instance_handles

The instances (visible objects).

Definition at line 88 of file rtfactRenderer.h.

## material_handles

std::vector<RTpieCpp::AppearanceHandle> BALL::VIEW::RTfactRenderer::RTfactData::material_handles

The materials.

Definition at line 91 of file rtfactRenderer.h.

## mesh_handles

std::vector<RTpieCpp::MeshHandle> BALL::VIEW::RTfactRenderer::RTfactData::mesh_handles

The meshes.

Definition at line 85 of file rtfactRenderer.h.

## object_handles

std::vector<RTpieCpp::GeometryHandle> BALL::VIEW::RTfactRenderer::RTfactData::object_handles

The object handles (all objects).

Definition at line 82 of file rtfactRenderer.h.